/**
 * Created by IntelliJ IDEA.
 * User: m09baa2
 * Date: 30.09.2009
 * Time: 19:24:42
 * To change this template use File | Settings | File Templates.
 */
import java.io.*;
import java.util.*;
public class quot {
    public static void main (String [] args) throws Exception {
    Scanner s = new Scanner (new File("1.txt"));
        long a = s.nextInt();
        long b = s.nextInt();
     PrintWriter p = new PrintWriter (new File ("2.txt"));
        if (b==0) {
            p.println ("Na nol' delit' nel'zya");
        } else {
        p.println(a/b);
        }

        s.close();
        p.close();
    }
}
